%define USE_MYSQL 1

Summary: Quick Spam Filter
Name: qsf
Version: 0.9.9
Release: 1
Copyright: Artistic
Group: Development/Tools
Source: http://www.ivarch.com/programs/sources/qsf-0.9.9.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

%if "%USE_MYSQL" == "1"
%package mysql
Summary: Quick Spam Filter (MySQL backend)
Group: Development/Tools

%description mysql
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

This is the MySQL backend version.
%endif

%prep
%setup
mkdir normal
cd normal
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-internal-db
cd ..
%if "%USE_MYSQL" == "1"
mkdir mysql
cd mysql
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-mysql
cd ..
%endif

%build
make -C normal
%if "%USE_MYSQL" == "1"
make -C mysql
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
[ -e "$RPM_BUILD_ROOT" ] || mkdir -m 755 "$RPM_BUILD_ROOT"
make -C normal install DESTDIR="$RPM_BUILD_ROOT"
%if "%USE_MYSQL" == "1"
cp mysql/qsf "$RPM_BUILD_ROOT"/usr/bin/qsf-mysql
chmod 755 "$RPM_BUILD_ROOT"/usr/bin/qsf-mysql
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%pre

%post

%preun

%postun

%files
%defattr(-, root, root)
/usr/bin/qsf
%docdir /usr/share/man/man1
/usr/share/man/man1/*
%doc README doc/NEWS doc/TODO doc/COPYING

%if "%USE_MYSQL" == "1"
%files mysql
/usr/bin/qsf-mysql
%endif

%changelog
* Fri Nov 14 2003 Andrew Wood <andrew.wood@ivarch.com>
- added "-mysql" subpackage for optional MySQL backend

* Thu Aug 21 2003 Andrew Wood <andrew.wood@ivarch.com>
- added package description

* Sat Jan 11 2003 Andrew Wood <andrew.wood@ivarch.com>
- first draft of spec file created
